---
draft: false
type: "homepage"
---
Welcome to my personal landing page.

I'm a backend and middlware software engineer with a strong focus on the JVM and the surrounding ecosystem. I've spent the last few years working on a suite of services for the healthcare platform at [Optum, Inc.](https://www.optum.com/) I have 8+ years of experience with Java, the Spring Framework and the myriad of libraries that facilitate SOA and Microservice applications.

In my personal projects I often steer clear of the JVM as I work with it on a daily basis during the work week. My tools of choice outside of work are [Python](https://www.python.org/) and [Rust](https://www.rust-lang.org/), with a sprinkling of [Go](https://golang.org/) and the occasional foray into [Common Lisp](https://en.wikipedia.org/wiki/Common_Lisp) or [Racket](https://racket-lang.org/). A lot of my personal projects end up on my internally deployed [GitLab](https://about.gitlab.com/) instance and I find the integrated CI suite to be particularly useful. I also run a public facing [Gitea](https://gitea.io) instance and the source for this site is hosted there https://git.nulloctet.com/Sothr/sothr-dot-com. This site used to be built on an internal GitLab instance, until I started migrating my more public projects to the Gitea instance. I now use a combination of Gitea and [Concourse](https://concourse-ci.org/) to build the site and deploy it to the hosting VPS when changes are made to the source. You can read about my adventures in creating my new source control + CI/CD infrastructure [here](https://blog.nulloctet.com/posts/2019/12/16/resurrecting-the-dead/).

This site is hosted on a small [Digital Ocean](https://www.digitalocean.com/) droplet that I personally manage. While the majority of my personal projects that run as services are hosted as docker containers on my homelab server or on a mediocre dedicated server I rent from [nocix.net](https://www.nocix.net/).

I don't spend much time writing, but when I do feel the itch I'll often drop a piece of content at my old [blog](http://blog.sothr.com) or at the new NullOctet [blog](https://blog.nulloctet.com)
